const { ApiDispatch, ApiReDispatch } = require("../../http/api")
const { wxPost } = require("../../http/network")

// pages/process/dispatch.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    valuator: null,
    remark: null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.id = options.id
    this.fix = options.fix
  },
  chooseAction(){
    let that = this
    wx.navigateTo({
      url: './user-list?type=2',
      events:{
        infoBack:function(e){
          that.setData({
            valuator: e
          })
        }
      }
    })
  },
  remarkInput(e){
    this.setData({
      remark: e.detail.value
    })
  },
  submitAction(){
    if(this.data.valuator == null){
      showToast("请选择维修员")
      return
    }
    let that = this
    let url = ApiDispatch
    if(this.fix){
      url = ApiReDispatch
    }
    wxPost(url,{
      hostId: this.data.valuator.id,
      id: this.id,
      remark: this.data.remark
    }).then(res=>{
      wx.showToast({
        icon: 'none',
        title: '提交成功',
        success(){
          let eventChannel = that.getOpenerEventChannel()
          eventChannel.emit("updateData")
          wx.navigateBack()
        }
      })
    })
  }
})